Subject: Updated MLD MIB draft

From: "Brian Haberman" <[email-masked]>
Date: Mon, 10 Jan 2000 08:08:28 -0500

I have updated the MLD MIB draft and submitted it to the editor.
Questions and/or comments can be directed to me or the mailing
list.

Brian

--
Brian Haberman
Advanced Network Research
Nortel Networks
[email-masked]

        IPNGWG Working Group                                         B. Haberman
        Internet Draft                                           Nortel Networks
        draft-ietf-ipngwg-mld-mib-02.txt                             R. Worzella
        December 1999                                                        IBM
        Expires June 2000 

                    IP Version 6 Management Information Base for 
                       The Multicast Listener Discovery Protocol 

     Status of this Memo 
         
        This document is an Internet-Draft and is in full conformance with all 
        provisions of Section 10 of RFC2026.  
         
        Internet-Drafts are working documents of the Internet Engineering Task 
        Force (IETF), its areas, and its working groups. Note that other groups 
        may also distribute working documents as Internet-Drafts. Internet-
        Drafts are draft documents valid for a maximum of six months and may be 
        updated, replaced, or obsoleted by other documents at any time. It is 
        inappropriate to use Internet- Drafts as reference material or to cite 
        them other than as "work in progress."  
         
        The list of current Internet-Drafts can be accessed at 
        http://www.ietf.org/ietf/1id-abstracts.txt. 
          
        The list of Internet-Draft Shadow Directories can be accessed at 
        http://www.ietf.org/shadow.html. 

     Abstract 
         
        This document defines an experimental portion of the Management 
        Information Base (MIB) for use with network management protocols in 
        Internet Protocol Version 6 internets.  Specifically, this document is 
        the MIB module that defines managed objects for implementations of the 
        Multicast Listener Discovery Protocol [MLD]. 

     1. 
       Terminology 
         
        The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", 
        "SHOULD", "SHOULD NOT", "RECOMMENDED",  "MAY", and "OPTIONAL" in this 
        document are to be interpreted as described in [RFC 2119]. 

     2. 
       The SNMP Management Framework 
         
        The SNMP Management Framework presently consists of five major 
        components: 
         
            o An overall architecture, described in RFC 2571 [RFC2571]. 
         
            o Mechanisms for describing and naming objects and events for the 
              purpose of management. The first version of this Structure of 
              Management Information (SMI) is called SMIv1 and described in STD 
              16, RFC 1155 [RFC1155], STD 16, RFC 1212 [RFC1212] and RFC 1215 

     Haberman, Worzella                                                   1 
      
      

     Internet Draft               MIB for MLD                 November 1999 
         
              [RFC1215]. The second version, called SMIv2, is described in STD 
              58, RFC 2578 [RFC2578], RFC 2579 [RFC2579] and RFC 2580[RFC2580]. 
      
            o Message protocols for transferring management information. The 
              first version of the SNMP message protocol is called SNMPv1 and 
              described in STD 15, RFC 1157 [RFC1157]. A second version of the 
              SNMP message protocol, which is not an Internet standards track 
              protocol, is called SNMPv2c and described in RFC 1901 [RFC1901] 
              and RFC 1906 [RFC1906]. The third version of the message protocol 
              is called SNMPv3 and described in RFC 1906 [RFC1906], RFC 2572 
              [RFC2572] and RFC 2574 [RFC2574]. 
         
            o Protocol operations for accessing management information. The 
              first set of protocol operations and associated PDU formats is 
              described in STD 15, RFC 1157 [RFC1157]. A second set of protocol 
              operations and associated PDU formats is described in RFC 1905 
              [RFC1905]. 
      
            o A set of fundamental applications described in RFC 2573[RFC2573] 
              and the view-based access control mechanism described in RFC 2575 
              [RFC2575]. 
      
        A more detailed introduction to the current SNMP Management Framework 
        can be found in RFC 2570 [RFC2570]. 
         
        Managed objects are accessed via a virtual information store, termed 
        the Management Information Base or MIB.  Objects in the MIB are defined 
        using the mechanisms defined in the SMI. 
         
        This memo specifies a MIB module that is compliant to the SMIv2. A MIB 
        conforming to the SMIv1 can be produced through the appropriate 
        translations. The resulting translated MIB must be semantically 
        equivalent, except where objects or events are omitted because no 
        translation is possible (use of Counter64). Some machine-readable 
        information in SMIv2 will be converted into textual descriptions in 
        SMIv1 during the translation process. However, this loss of machine-
        readable information is not considered to change the semantics of the 
        MIB. 

     3. 
       Object Definition 
      
        Managed objects are accessed via a virtual information store, termed the 
        Management Information Base or MIB.  Objects in the MIB are defined 
        using the mechanisms defined in the SMI. 
         
        This memo specifies a MIB module that is compliant to the SMIv2.  A MIB 
        conforming to the SMIv1 can be produced through the appropriate 
        translations.  The resulting translated MIB must be semantically 
        equivalent, except where objects or events are omitted because no 
        translation is possible (use of Counter64).  Some machine-readable 
        information in SMIv2 will be converted into textual descriptions in 
        SMIv1 during the translation process.  However, this loss of machine-
        readable information is not considered to change the semantics of the 
        MIB. 

     4. 
       Overview 

     Haberman, Worzella                                                   2 
         
      

     Internet Draft               MIB for MLD                 November 1999 
         
        This MIB module contains two tables: 
         
          1. 
             The MLD Interface Table, which contains one row for each interface 
             on which MLD is enabled. 
         
          2. 
             The MLD Cache Table which contains one row for each IPv6 Multicast 
             group for which there are members on a particular interface. 
         
        Both tables are intended to be implemented by hosts and routers.  Some 
        objects in each table apply to routers only. 

     5. 
       Definitions 

        MLD-MIB DEFINITIONS ::= BEGIN 
         
        IMPORTS 
            MODULE-IDENTITY, OBJECT-TYPE, Counter32, Gauge32, 
            Integer32, TimeTicks, mib-2      FROM SNMPv2-SMI 
            RowStatus, TruthValue            FROM SNMPv2-TC 
            Ipv6Address, Ipv6IfIndexOrZero   FROM IPV6-TC 
            MODULE-COMPLIANCE, OBJECT-GROUP  FROM SNMPv2-CONF; 

        mldMIB MODULE-IDENTITY 
            LAST-UPDATED "9912171600Z" 
            ORGANIZATION "IETF IPNGWG Working Group." 
            CONTACT-INFO 
                    " Brian Haberman 
                      Nortel Networks 
                      4309 Emperor Blvd. 
                      Durham, NC  27703 
                      USA 
         
                      Phone: +1 919 992 4439 
                      e-mail: [email-masked]" 
            DESCRIPTION 
                    "The MIB module for MLD Management." 
            REVISION "9912171600Z" 
            ::= { mib-2 xx } 

        mldMIBObjects     OBJECT IDENTIFIER ::= { mldMIB 1 } 
         
        mld      OBJECT IDENTIFIER ::= { mldMIBObjects 1 } 

        -- 
        --  The MLD Interface Table 
        -- 
         
        mldInterfaceTable OBJECT-TYPE 
            SYNTAX     SEQUENCE OF MldInterfaceEntry 
            MAX-ACCESS not-accessible 
            STATUS     current 
            DESCRIPTION 
                    "The (conceptual) table listing the interfaces on which MLD 
                    is enabled." 
            ::= { mld 1 } 
       
     Haberman, Worzella                                                   3 
         
      

     Internet Draft               MIB for MLD                 November 1999 

        mldInterfaceEntry OBJECT-TYPE 
            SYNTAX     MldInterfaceEntry 
            MAX-ACCESS not-accessible 
            STATUS     current 
            DESCRIPTION 
                    "An entry (conceptual row) representing an interface on 
                    which MLD is enabled." 
            INDEX      { mldInterfaceIfIndex } 
            ::= { mldInterfaceTable 1 } 
         
        MldInterfaceEntry ::= SEQUENCE { 
            mldInterfaceIfIndex               Ipv6IfIndexOrZero, 
            mldInterfaceQueryInterval         Integer32, 
            mldInterfaceStatus                RowStatus, 
            mldInterfaceQuerier               Ipv6Address, 
            mldInterfaceQueryMaxResponseDelay Integer32, 
            mldInterfaceJoins                 Counter32, 
            mldInterfaceGroups                Gauge32, 
            mldInterfaceRobustness            Integer32, 
            mldInterfaceLastListenQueryIntvl  Integer32, 
            mldInterfaceQuerierUpTime         TimeTicks, 
            mldInterfaceQuerierExpiryTime     TimeTicks 
        } 
         
        mldInterfaceIfIndex OBJECT-TYPE 
         
            SYNTAX     Ipv6IfIndexOrZero 
            MAX-ACCESS not-accessible 
            STATUS     current 
            DESCRIPTION 
                    "The ifIndex value of the interface for which MLD is 
                    enabled." 
            ::= { mldInterfaceEntry 1 } 
         
        mldInterfaceQueryInterval OBJECT-TYPE 
            SYNTAX     Integer32 
            UNITS      "seconds" 
            MAX-ACCESS read-create 
            STATUS     current 
            DESCRIPTION 
                    "The frequency at which MLD Host-Query packets are 
                    transmitted on this interface." 
            DEFVAL     { 125 } 
            ::= { mldInterfaceEntry 2 } 
         
        mldInterfaceStatus OBJECT-TYPE 
            SYNTAX     RowStatus 
            MAX-ACCESS read-create 
            STATUS     current 
            DESCRIPTION 
                    "The activation of a row enables MLD on the interface.  The 
                    destruction of a row disables MLD on the interface." 
            ::= { mldInterfaceEntry 3 } 
         
        mldInterfaceQuerier OBJECT-TYPE 
            SYNTAX     Ipv6Address 
            MAX-ACCESS read-only 
            STATUS     current 
            DESCRIPTION 
       
     Haberman, Worzella                                                   4 
         
      

     Internet Draft               MIB for MLD                 November 1999 
         
                    "The address of the MLD Querier on the IPv6 subnet to which 
                    this interface is attached." 
            ::= { mldInterfaceEntry 4 } 
         
        mldInterfaceQueryMaxResponseDelay OBJECT-TYPE 
            SYNTAX     Integer32 
            UNITS      "seconds" 
            MAX-ACCESS read-create 
            STATUS     current 
            DESCRIPTION 
                    "The maximum query response time advertised in MLD 
                    queries on this interface." 
            DEFVAL     { 10 } 
            ::= { mldInterfaceEntry 5 } 
         
        mldInterfaceJoins OBJECT-TYPE 
            SYNTAX     Counter32 
            MAX-ACCESS read-only 
            STATUS     current 
            DESCRIPTION 
                    "The number of times a group membership has been added on 
                    this interface; that is, the number of times an entry for 
                    this interface has been added to the Cache Table.  This 
                    object gives an indication of the amount of MLD activity 
                    over time." 
            ::= { mldInterfaceEntry 6 } 
         
        mldInterfaceGroups OBJECT-TYPE 
            SYNTAX     Gauge32 
            MAX-ACCESS read-only 
            STATUS     current 
            DESCRIPTION 
                    "The current number of entries for this interface in the 
                    Cache Table." 
            ::= { mldInterfaceEntry 7 } 
         
        mldInterfaceRobustness OBJECT-TYPE 
            SYNTAX     Integer32 
            MAX-ACCESS read-create 
            STATUS     current 
            DESCRIPTION 
                    "The Robustness Variable allows tuning for the expected 
                    packet loss on a subnet.  If a subnet is expected to be 
                    lossy, the Robustness Variable may be increased.  MLD is 
                    robust to (Robustness Variable-1) packet losses." 
            DEFVAL     { 2 } 
            ::= { mldInterfaceEntry 8 } 
         
        mldInterfaceLastListenQueryIntvl OBJECT-TYPE 
            SYNTAX     Integer32 
            UNITS      "seconds" 
            MAX-ACCESS read-create 
            STATUS     current 
            DESCRIPTION 
                    "The Last Member Query Interval is the Max Response Delay 
                    inserted into Group-Specific Queries sent in response to 
                    Leave Group messages, and is also the amount of time between 
                    Group-Specific Query messages.  This value may be tuned to 
                    modify the leave latency of the network.  A reduced value 
                    results in reduced time to detect the loss of the last 
       
     Haberman, Worzella                                                   5 
         
      

     Internet Draft               MIB for MLD                 November 1999 
         
                    member of a group." 
            DEFVAL     { 1 } 
            ::= { mldInterfaceEntry 9 } 
         
        mldInterfaceQuerierUpTime OBJECT-TYPE 
            SYNTAX     TimeTicks 
            MAX-ACCESS read-only 
            STATUS     current 
            DESCRIPTION 
                    "The time since mldInterfaceQuerier was last changed." 
            ::= { mldInterfaceEntry 10 } 
         
        mldInterfaceQuerierExpiryTime OBJECT-TYPE 
            SYNTAX     TimeTicks 
            MAX-ACCESS read-only 
            STATUS     current 
            DESCRIPTION 
                    "The time remaining before the Other Querier Present 
                    Timer expires.  If the local system is the querier, 
                    the value of this object is zero." 
            ::= { mldInterfaceEntry 11 } 

        -- 
        --  The MLD Cache Table 
        -- 
         
        mldCacheTable OBJECT-TYPE 
            SYNTAX     SEQUENCE OF MldCacheEntry 
            MAX-ACCESS not-accessible 
            STATUS     current 
            DESCRIPTION 
                   "The (conceptual) table listing the IPv6 multicast groups for 
                    which there are members on a particular interface." 
            ::= { mld 2 } 
         
        mldCacheEntry OBJECT-TYPE 
            SYNTAX     MldCacheEntry 
            MAX-ACCESS not-accessible 
            STATUS     current 
            DESCRIPTION 
                    "An entry (conceptual row) in the mldCacheTable." 
            INDEX      { mldCacheAddress, mldCacheIfIndex } 
            ::= { mldCacheTable 1 } 
         
        MldCacheEntry ::= SEQUENCE { 
            mldCacheAddress            Ipv6Address, 
            mldCacheIfIndex            Ipv6IfIndexOrZero, 
            mldCacheSelf               TruthValue, 
            mldCacheLastReporter       Ipv6Address, 
            mldCacheUpTime             TimeTicks, 
            mldCacheExpiryTime         TimeTicks, 
            mldCacheStatus             RowStatus 
        } 
         
        mldCacheAddress OBJECT-TYPE 
            SYNTAX     Ipv6Address 
            MAX-ACCESS not-accessible 
            STATUS     current 
            DESCRIPTION 
       
     Haberman, Worzella                                                   6 
         
      

     Internet Draft               MIB for MLD                 November 1999 
         
                    "The IPv6 multicast group address for which this entry 
                    contains information." 
            ::= { mldCacheEntry 1 } 
         
        mldCacheIfIndex OBJECT-TYPE 
            SYNTAX     Ipv6IfIndexOrZero 
            MAX-ACCESS not-accessible 
            STATUS     current 
            DESCRIPTION 
                    "The interface for which this entry contains information for 
                    an IPv6 multicast group address." 
            ::= { mldCacheEntry 2 } 
         
        mldCacheSelf OBJECT-TYPE 
            SYNTAX     TruthValue 
            MAX-ACCESS read-create 
            STATUS     current 
            DESCRIPTION 
                    "An indication of whether the local system is a member of 
                    this group address on this interface." 
            DEFVAL     { true } 
            ::= { mldCacheEntry 3 } 
         
        mldCacheLastReporter OBJECT-TYPE 
            SYNTAX     Ipv6Address 
            MAX-ACCESS read-only 
            STATUS     current 
            DESCRIPTION 
                    "The IPv6 address of the source of the last membership 
                    report received for this IPv6 Multicast group address on 
                    this interface.  If no membership report has been received, 
                    this object has the value 0::0. 
            ::= { mldCacheEntry 4 } 
         
        mldCacheUpTime OBJECT-TYPE 
            SYNTAX     TimeTicks 
            MAX-ACCESS read-only 
            STATUS     current 
            DESCRIPTION 
                    "The time elapsed since this entry was created." 
            ::= { mldCacheEntry 5 } 
         
        mldCacheExpiryTime OBJECT-TYPE 
            SYNTAX     TimeTicks 
            MAX-ACCESS read-only 
            STATUS     current 
            DESCRIPTION 
                    "The minimum amount of time remaining before this entry will 
                    be aged out.  A value of 0 indicates that the entry is only 
                    present because mldCacheSelf is true and that if the router 
                    left the group, this entry would be aged out immediately. 
                    Note that some implementations may process membership 
                    Reports from the local system in the same way as reports 
                    From other hosts, so a value of 0 is not required." 
            ::= { mldCacheEntry 6 } 
         
        mldCacheStatus OBJECT-TYPE 
            SYNTAX     RowStatus 
            MAX-ACCESS read-create 
            STATUS     current 
       
     Haberman, Worzella                                                   7 
         
      

     Internet Draft               MIB for MLD                 November 1999 
         
            DESCRIPTION 
                    "The status of this entry." 
            ::= { mldCacheEntry 7 } 

        -- conformance information 
         
        mldMIBConformance 
                       OBJECT IDENTIFIER ::= { mldMIB 2 } 
        mldMIBCompliances 
                       OBJECT IDENTIFIER ::= { mldMIBConformance 1 } 
        MldMIBGroups 
                       OBJECT IDENTIFIER ::= { mldMIBConformance 2 } 

        -- compliance statements 
         
        mldHostMIBCompliance MODULE-COMPLIANCE 
            STATUS  current 
            DESCRIPTION 
                    "The compliance statement for hosts running MLD and 
                    implementing the MLD MIB." 
            MODULE  -- this module 
            MANDATORY-GROUPS { mldBaseMIBGroup, 
                               mldHostMIBGroup 
                             } 
         
            OBJECT     mldInterfaceStatus 
            MIN-ACCESS read-only 
            DESCRIPTION 
                     "Write access is not required." 
         
            ::= { mldMIBCompliances 1 } 
         
        mldRouterMIBCompliance MODULE-COMPLIANCE 
            STATUS  current 
            DESCRIPTION 
                    "The compliance statement for routers running MLD and 
                    implementing the MLD MIB." 
            MODULE  -- this module 
            MANDATORY-GROUPS { mldBaseMIBGroup, 
                               mldRouterMIBGroup 
                             } 
         
            OBJECT     mldInterfaceStatus 
            MIN-ACCESS read-only 
            DESCRIPTION 
                     "Write access is not required." 
         
            ::= { mldMIBCompliances 2 } 

        -- units of conformance 
         
        mldBaseMIBGroup OBJECT-GROUP 
            OBJECTS { mldCacheSelf, 
                      mldCacheStatus, mldInterfaceStatus 
                    } 
            STATUS  current 
            DESCRIPTION 
       
     Haberman, Worzella                                                   8 
         
      

     Internet Draft               MIB for MLD                 November 1999 
         
                    "The basic collection of objects providing management of 
                    MLD." 
            ::= { mldMIBGroups 1 } 
         
        mldRouterMIBGroup OBJECT-GROUP 
            OBJECTS { mldCacheUpTime, mldCacheExpiryTime, 
                      mldInterfaceQueryInterval, 
                      mldInterfaceJoins, mldInterfaceGroups, 
                      mldCacheLastReporter, 
                      mldInterfaceQuerierUpTime, 
                      mldInterfaceQuerierExpiryTime, 
                      mldInterfaceQuerier, 
                      mldInterfaceQueryMaxResponseTime, 
                      mldInterfaceRobustness, 
                      mldInterfaceLastMemQueryIntvl 
                    } 
            STATUS  current 
            DESCRIPTION 
                    "A collection of additional objects for management of MLD 
                    in routers." 
            ::= { mldMIBGroups 2 } 

        mldHostMIBGroup OBJECT-GROUP 
            OBJECTS { mldInterfaceQuerier 
                    } 
            STATUS  current 
            DESCRIPTION 
                    "A collection of additional objects for management of MLD 
                    in hosts." 
            ::= { mldMIBGroups 3 } 
         
        END 

     6. 
       Security Considerations 
         
        There are a number of management objects defined in this MIB that have a 
        MAX-ACCESS clause of read-write and/or read-create.  Such objects may be 
        considered sensitive or vulnerable in some network environments.  The 
        support for SET operations in a non-secure environment without proper 
        protection can have a negative effect on network operations. 
         
        There are a number of managed objects in this MIB that may contain 
        sensitive information. These are: 
         
          o  mldCacheSelf 
          o  mldCacheLastReporter 

        It is thus important to control even GET access to these objects and 
        possibly to even encrypt the values of these objects when sending them 
        over the network via SNMP.  Not all versions of SNMP provide features 
        for such a secure environment. 
         
        SNMPv1 by itself is not a secure environment.  Even if the network 
        itself is secure (for example by using IPSec), even then, there is no 
        control as to who on the secure network is allowed to access and GET/SET 
        (read/change/create/delete) the objects in this MIB. 

     Haberman, Worzella                                                   9 
         
      

     Internet Draft               MIB for MLD                 November 1999 

        It is recommended that the implementers consider the security features 
        as provided by the SNMPv3 framework.  Specifically, the use of the User-
        based Security Model RFC 2574 [RFC2574] and the View-based Access 
        Control Model RFC 2575 [RFC2575] are recommended. 
         
        It is then a customer/user responsibility to ensure that the SNMP entity 
        giving access to an instance of this MIB, is properly configured to give 
        access to the objects only to those principals (users) that have 
        legitimate rights to indeed GET or SET (change/create/delete) them. 
        Certain management information defined in this MIB MAY be considered 
        sensitive in some network environments.  Therefore, authentication of 
        received SNMP requests and controlled access to management information 
        SHOULD be employed in such environments.  The method for this 
        authentication is a function of the SNMP Administrative Framework, and 
        has not been expanded by this MIB. 
         
        Several objects in this MIB allow write access or provide for row 
        creation.  Allowing this support in a non-secure environment can have a 
        negative effect on network operations.  It is RECOMMENDED that 
        implementers seriously consider whether set operations or row creation 
        be allowed without providing, at a minimum, authentication of request 
        origin.  It is RECOMMENDED that without such support that objects be 
        implemented as read-only. 

     7. 
       Acknowledgements 
         
        This MIB module is based on the IGMP MIB authored by Keith McCloghrie, 
        Dino Farinacci, and Dave Thaler.  It was updated based on feedback from 
        the IPNGWG working group, Bert Wijnen, and Peder Norgaard. 

     8. 
       References 

        [MLD]        S. Deering, W. Fenner, B. Haberman, "Multicast Listener 
                     Discovery (MLD) for IPv6", RFC 2710, October 1999. 
         
        [RFC2119]    S. Bradner, "Key words for use in RFCs to Indicate 
                     Requirement Levels", RFC 2119, BCP14, March 1997. 
         
        [RFC2571]    Harrington, D., Presuhn, R., and B. Wijnen, "An 
                     Architecture for Describing SNMP Management Frameworks", 
                     RFC 2571, April 1999. 
         
        [RFC1155]    Rose, M., and K. McCloghrie, "Structure and Identification 
                     of Management Information for TCP/IP-based Internets", STD 
                     16, RFC 1155, May 1990. 
         
        [RFC1212]    Rose, M., and K. McCloghrie, "Concise MIB Definitions", 
                     STD 16, RFC 1212, March 1991. 
         
        [RFC1215]    M. Rose, "A Convention for Defining Traps for use with the 
                     SNMP", RFC 1215, March 1991. 
         
        [RFC2578]    McCloghrie, K., Perkins, D., Schoenwaelder, J., Case, J., 
                     Rose, M., and S. Waldbusser, "Structure of Management 
                     Information Version 2 (SMIv2)", STD 58, RFC 2578, April 
                     1999. 
       
     Haberman, Worzella                                                  10 
         
      

     Internet Draft               MIB for MLD                 November 1999 

        [RFC2579]    McCloghrie, K., Perkins, D., Schoenwaelder, J., Case, J., 
                     Rose, M., and S. Waldbusser, "Textual Conventions for 
                     SMIv2", STD 58, RFC 2579, April 1999. 
         
        [RFC2580]    McCloghrie, K., Perkins, D., Schoenwaelder, J., Case, J., 
                     Rose, M., and S. Waldbusser, "Conformance Statements for 
                     SMIv2", STD 58, RFC 2580, April 1999. 
         
        [RFC1157]    Case, J., Fedor, M., Schoffstall, M., and J. Davin, 
                     "Simple Network Management Protocol", STD 15, RFC 1157, 
                     May 1990. 
         
        [RFC1901]    Case, J., McCloghrie, K., Rose, M., and S. Waldbusser, 
                     "Introduction to Community-based SNMPv2", RFC 1901, 
                     January 1996. 
         
        [RFC1906]    Case, J., McCloghrie, K., Rose, M., and S. Waldbusser, 
                     "Transport Mappings for Version 2 of the Simple Network 
                     Management Protocol (SNMPv2)", RFC 1906, January 1996. 
         
        [RFC2572]    Case, J., Harrington D., Presuhn R., and B. Wijnen, 
                     "Message Processing and Dispatching for the Simple Network 
                     Management Protocol (SNMP)", RFC 2572, April 1999. 
         
        [RFC2574]    Blumenthal, U., and B. Wijnen, "User-based Security Model 
                     (USM) for version 3 of the Simple Network Management 
                     Protocol (SNMPv3)", RFC 2574, April 1999. 
         
        [RFC1905]    Case, J., McCloghrie, K., Rose, M., and S. Waldbusser, 
                     "Protocol Operations for Version 2 of the Simple Network 
                     Management Protocol (SNMPv2)", RFC 1905, January 1996. 
         
        [RFC2573]    Levi, D., Meyer, P., and B. Stewart, "SNMPv3 
                     Applications", RFC 2573, April 1999. 
         
        [RFC2575]    Wijnen, B., Presuhn, R., and K. McCloghrie, "View-based 
                     Access Control Model (VACM) for the Simple Network 
                     Management Protocol (SNMP)", RFC 2575, April 1999. 
         
        [RFC2570]    Case, J., Mundy, R., Partain, D., and B. Stewart, 
                     "Introduction to Version 3 of the Internet-standard 
                     Network Management Framework", RFC 2570, April 1999. 

     Authors' Addresses

             Brian Haberman 
             Nortel Networks 
             4309 Emperor Blvd. 
             Durham, NC  27703 
             USA 

             +1
             [email-masked]
               -919-992-4439             

     Haberman, Worzella                                                  11 
         
      

     Internet Draft               MIB for MLD                 November 1999 

             Randy Worzella 
             IBM Corporation 
             800 Park Office Drive 

             Research Triangle Park, NC 27709 
             USA 

             +1
             [email-masked]
               -919-254-2202     

     Full Copyright Statement 
      
        Copyright (C) The Internet Society (1999).  All Rights Reserved. 
         
        This document and translations of it may be copied and furnished to 
        others, and derivative works that comment on or otherwise explain it or 
        assist in its implementation may be prepared, copied, published and 
        distributed, in whole or in part, without restriction of any kind, 
        provided that the above copyright notice and this paragraph are included 
        on all such copies and derivative works.  However, this document itself 
        may not be modified in any way, such as by removing the copyright notice 
        or references to the Internet Society or other Internet organizations, 
        except as needed for the purpose of developing Internet standards in 
        which case the procedures for copyrights defined in the Internet 
        Standards process must be followed, or as required to translate it into 
        languages other than English. 
         
        The limited permissions granted above are perpetual and will not be 
        revoked by the Internet Society or its successors or assigns. 
         
        This document and the information contained herein is provided on an "AS 
        IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING TASK 
        FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT 
        LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT 
        INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR 
        FITNESS FOR A PARTICULAR PURPOSE. 

     Haberman, Worzella                                                  12